* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

ul {
    list-style: none;
}

body {
    background-image: url(./assets/bg5.jpg);
    background-position: top center;
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-color: #121214;
}

body * {
    font-family: 'Inter', sans-serif;
    line-height: 160%;
}

main {
    max-width: 580px;
    width: 90%;
    margin: 32px auto;

    display: grid;
    gap: 24px;

}

header {
    
    padding-top: 32px;
    text-align: center;
    height: 212px;
}

header div {
    width: 180px;
    margin: auto;
    background-image: linear-gradient(45deg, #e66c34 0%, #e04f35 50.52%, #9572fc 100%);

    border-radius: 50%;

    display: flex;
    padding: 4px;

/* efeito de transição */
    transition: transform .3s;
}
/* efeito de transição */
header div:hover {
    transform: scale(1.3);
}

header img {

    width: 100%;
    border-radius: 50%;

}   


section {

    color: rgba(255, 255, 255, 0.74);
    background-image: linear-gradient(45deg, #e66c34 0%, #e04f35 50.52%, #9572fc 100%);
    padding-top: 3px;
    padding-left: 3px;
    border-radius: 30px;

}

section div {

    background-color: #18181afd;
    padding: 32px;
    padding-top: 24px;
    border-radius: 28px;
}

section h2 {

    letter-spacing: -0.05px;
}

section p {

    letter-spacing: -0.010px;
    color: #A1A1AA;
}


section ul {

    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    margin-top: 24px;

}

/* efeito de transição */
section ul li {
    transition: transform .3s;
}
/* efeito de transição */
section ul li:hover {
    transform: scale(1.2);
}

.games-list img {

    border-radius: 16px;
    width: 90px;
    border: 1px solid #e66c34
}

.channel-list img {

    border-radius: 50%;
    width: 70px;
    border: 1px solid #e66c34
}

/* Animation */

header div {
    animation: fromTop .7s .3s backwards;
}

main section {
    animation: fromBottom .7s backwards; 
}

main section:nth-child(1) {
    animation-delay: .3s;
}

main section:nth-child(2) {
    animation-delay: .6s;
}

main section:nth-child(3) {
 animation-delay: .9s;
}
 
@keyframes fromTop {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }

    to{
        opacity: 1;
        transform: translateY(0)
    }
    
}

@keyframes fromBottom {
    from {
        opacity: 0;
        transform: translateY(50px);
    }

    to{
        opacity: 1;
        transform: translateY(0)
    }
    
}




